Create Custom Field
1 min
POST
https://api.nue.io/metadata/objects/{objectApiName}/fields:{type}
Path Parameters
- objectApiNamestringrequiredDescription
- typestringrequiredDescriptionAllowedtext
Body Parameters
- bodyCreateFieldRequestrequiredDescription
- apiNamestringrequiredExampleDescription
- namestringrequiredExampleDescription
- creatablebooleanExampleDescription
- updatablebooleanExampleDescription
- filterablebooleanExampleDescription
- sortablebooleanExampleDescription
- descriptionstringExampleDescription
- inlineHelpTextstringExampleDescription
- requiredbooleanDescription
- uniquebooleanDescription
- defaultValuestringExampleDescription
- minLengthintegerDescription
- maxLengthintegerExampleDescription
Responses
200
- CreateFieldResponse
- namestring
curl
curl --request POST \
--url https://api.nue.io/metadata/objects/{objectApiName}/fields:{type} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"apiName": "testCustomField",
"name": "Test Custom Field"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"apiName": "testCustomField",
"name": "Test Custom Field"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.nue.io/metadata/objects/{objectApiName}/fields:{type}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/metadata/objects/{objectApiName}/fields:{type}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"apiName": "testCustomField",
"name": "Test Custom Field"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/metadata/objects/{objectApiName}/fields:{type}"
payload = json.dumps({
"apiName": "testCustomField",
"name": "Test Custom Field"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"name": ""
}